List event sources
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/event-sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/event-sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/event-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"eventSources": [
{
"eventSourceId": "retailer_sales",
"name": "Retailer Sales Pixel",
"eventTypes": [
"page_view"
],
"allowedDomains": [
"<string>"
],
"integrationPlatform": "<string>",
"mapping": {
"eventIdField": "<string>",
"eventTypeField": "<string>",
"eventTimeField": "<string>",
"userMatchFields": [
"<string>"
],
"valueField": "<string>",
"currencyField": "<string>",
"orderIdField": "<string>",
"contentIdsField": "<string>",
"consentField": "<string>",
"dedupeStrategy": "<string>",
"notes": "<string>"
},
"testEventCode": "<string>",
"health": {
"status": "not_seen",
"lastEventAt": "2023-11-07T05:31:56Z",
"lastEventReceivedAt": "2023-11-07T05:31:56Z",
"lastEventType": "page_view",
"lastError": "<string>",
"lastErrorAt": "2023-11-07T05:31:56Z"
},
"managedBy": "buyer",
"sellerId": "<string>",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-20T14:45:00.000Z"
}
],
"total": 5
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Event Sources
List event sources
List event sources for an advertiser. Event sources represent conversion data pipelines referenced by optimization goals.
GET
/
advertisers
/
{advertiserId}
/
event-sources
List event sources
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/event-sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/event-sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/event-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"eventSources": [
{
"eventSourceId": "retailer_sales",
"name": "Retailer Sales Pixel",
"eventTypes": [
"page_view"
],
"allowedDomains": [
"<string>"
],
"integrationPlatform": "<string>",
"mapping": {
"eventIdField": "<string>",
"eventTypeField": "<string>",
"eventTimeField": "<string>",
"userMatchFields": [
"<string>"
],
"valueField": "<string>",
"currencyField": "<string>",
"orderIdField": "<string>",
"contentIdsField": "<string>",
"consentField": "<string>",
"dedupeStrategy": "<string>",
"notes": "<string>"
},
"testEventCode": "<string>",
"health": {
"status": "not_seen",
"lastEventAt": "2023-11-07T05:31:56Z",
"lastEventReceivedAt": "2023-11-07T05:31:56Z",
"lastEventType": "page_view",
"lastError": "<string>",
"lastErrorAt": "2023-11-07T05:31:56Z"
},
"managedBy": "buyer",
"sellerId": "<string>",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-20T14:45:00.000Z"
}
],
"total": 5
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Query Parameters
Number of results to return (max 250)
Required range:
0 < x <= 250Example:
50
Number of results to skip for pagination
Required range:
0 <= x <= 9007199254740991Example:
0